> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Block Trade Position Limits

> Retrieves a list of all block trade position limits you have access to.



## OpenAPI

````yaml /api-reference/derivatives-api/rest-api/cde-spec.json get /rest/block-trade-position-limits
openapi: 3.0.3
info:
  title: Derivatives Public REST API
  version: 0.1.0
  description: Public REST API for Coinbase Derivatives Exchange Public REST Gateway
servers:
  - url: https://api.exchange.fairx.net
    variables: {}
security:
  - auth_api_key: []
  - auth_timestamp: []
  - auth_passphrase: []
  - auth_signature: []
paths:
  /rest/block-trade-position-limits:
    get:
      tags:
        - Block Trade Accounts
      summary: Get All Block Trade Position Limits
      description: Retrieves a list of all block trade position limits you have access to.
      operationId: getBlockTradePositionLimits
      parameters: []
      responses:
        '200':
          description: Successfully retrieved block trade position limits
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BlockTradePositionLimitResponse'
        '403':
          description: Forbidden - insufficient permissions
      deprecated: false
      security: []
components:
  schemas:
    BlockTradePositionLimitResponse:
      type: object
      additionalProperties: false
      properties:
        position_limit_uuid:
          type: string
          example: 123e4567-e89b-12d3-a456-426614174000
        account_uuid:
          type: string
          example: abcdef12-3456-7890-abcd-ef1234567890
        symbol:
          type: string
          example: BIPZ30
        position_limit:
          type: integer
          format: int32
          example: 1000
        max_order_size:
          type: integer
          format: int32
          example: 100
  securitySchemes:
    auth_api_key:
      in: header
      name: CB-ACCESS-KEY
      description: The key string of the API key for the request
      type: apiKey
    auth_timestamp:
      in: header
      name: CB-ACCESS-TIMESTAMP
      description: The timestamp of when the request is being made (in epoch seconds)
      type: apiKey
    auth_passphrase:
      in: header
      name: CB-ACCESS-PASSPHRASE
      description: The passphrase affiliated with the API Key
      type: apiKey
    auth_signature:
      in: header
      name: CB-ACCESS-SIGN
      description: >-
        An HMAC SHA-256 signature using the API Key secret on the string
        TIMESTAMP, METHOD, REQUEST_PATH, BODY
      type: apiKey

````